Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher 1.7.4 –  Download Magic Launcher Tool for Minecraft 1.7.4 It comes a time when you have too much mods installed and you don’t know how to manage them. Magic Launcher Tool is exactly what you need! This tool is created to make your installing easier. Now you can manipulate any installation easy and there is no need of knowledge. The coolest thing about this tool is that you don’t even have to patch the minecraft.jar file, all you need to do is to find a compatible mod with this tool and that is it! Also, there are some features about this TOOL that seems to be very useful: now minecraf.jar is selectable, Magic Launcher Tool will automatically detect your minecraft version, you don’t have to remove anymore the META-INF folder, it checks automatically if the required mods are installed and also there are shortcuts to mods folders. No, there isn’t any reason for not installing this TOOL. It is effective, fast and easy to use so download it right away!

Screenshots

Magic Launcher Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher5 Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher1 Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher2 Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher4 Magic Launcher 1.7.4 for Minecraft 1.7.4

Magic Launcher 1.5.2 Features

Minecraft

  • Selectable minecraft.jar
  • Automatic version detection
  • Configurable window size, also maximized
  • Selectable minecraft folder
  • Selectable java executable
  • Java memory limit
  • Java custom parameters
  • Show error log
  • Remember user
  • Configuration profiles

Mods

  • Load mods dynamically without changing minecraft.jar
  • META-INF does not have to be deleted
  • Automatic mod compatibility checking
  • External mods detection and compatibility checking
  • Shortcut to external mods folder
  • Configurable external mods
  • Automatic mod requirements checking (ModLoader, ModLoaderMP, Forge, GuiAPI)

Design (screenshots)

  • Minecraft style

News

  • Minecraft
  • Reddit
  • Twitter
  • Blogspot …

Coming soon

  • Minecraft update

Minecraft: Magic Launcher! (Auto Mod Installer, Startup w/ More RAM, & More!) in this video

Installation tutorial for Magic Launcher Tool:

  • As you know, for installing any TOOL you just have to run the installer tool, nothing more.

Download for Minecraft 1.5.2/1.5.1/1.4.7

Download Magic Launcher Tool for Minecraft 1.5.2 – for Windows

Download Magic Launcher Tool for Minecraft 1.5.2 – for MAC

Download Magic Launcher Tool for Minecraft 1.5.2 – for Windows/Mac/Linux

  • sam

    my download did not come with installer

  • sam

    my download did not come with installer

  • BeggarBeingChooser

    yep, just get a .rar file. tried changing rar to exe and it didn't do anything

    • Beggar

      and it's not an unzippable rar file

  • BeggarBeingChooser

    yep, just get a .rar file. tried changing rar to exe and it didn’t do anything

    • Beggar

      and it’s not an unzippable rar file

  • Joshua

    Just a .rar file. I just want to install one mod. I've spent several hours over two days trying to get all these faulty files to work. I've installed numerous programs like winrar, 7-zip, etc and I've only discovered deeper layers that don't work. The in game command /gamerule keepInventory true doesn't even work. You know what has worked every time? Lava. Progress incinerating lava.

  • Joshua

    Just a .rar file. I just want to install one mod. I’ve spent several hours over two days trying to get all these faulty files to work. I’ve installed numerous programs like winrar, 7-zip, etc and I’ve only discovered deeper layers that don’t work. The in game command /gamerule keepInventory true doesn’t even work. You know what has worked every time? Lava. Progress incinerating lava.

  • Electricut

    Yeah, um, if you could update this so it actually has the installer, that’d be great. I need Optifine to play Minecraft, and I fail at computers too much to install any kind of mod, so I sorta need the launcher to play at all.

    • AAA05

      download it off minecraftforums

  • Idragonmaster

    The mods that can go in Magic launcher have to be compatitable with magic launcher cause if it wasent it will just not load that mod but example animal bikes mod that will work cause it it compatitable with magic launcher

  • person

    is anyone not able to use modloader or forge with this

    • Sillron

      I think the real question is any body able to use Forge with it lol. (In other words I can’t nor has anybody I’ve talked to manage to use forge with it)

  • Sauron

    I unpacked he file, and tried to log in to Minecraft when I got:

    *** MagicMinecraftLauncher 1.0.0 ***
    java.lang.ClassNotFoundException: net.minecraft.client.Minecraft
    at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:317)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
    at magic.launcher.Launcher.main(Unknown Source)

    what am I doing wrong?

  • Ethanzac42

    stay on 1.4.5 untill servers update! you have been warned!!!

  • Support

    Does this work on mineshafter proxy 1.4.7 version?

  • SKY_OF_DEATH

    Yea It Works And How Do I Get Mods On It??

  • SKY_OF_DEATH

    And I Cant Use —> ANYTHING <— With It?!?!

  • ethan

    YOU NEED TO UPDATE THE MAGIC LAUNCHER. it’s not magic, its a factory of yellow text, usually including words akin to “no”, “mods” and “found”. the problem is that, ANY mod with a layered folders can’t work. magic launcher, the slacker it is, can’t find files past the first layer! Example: Mod>files that can be read>files that ML gives the finger too> files that ML doesn’t know about>files that are excessively buried>class files that make most mods work. If ML can’t reach those vital files(which it NEVER can,) it basically craps all over that mod, then tells you politely that it couldn’t find a mod. FIX IT. all i want, is for magic launcher to search deeper into a mod directory, so that i can actually use more than 3% of the mods i have.

  • ss

    it just takes me to an advertising page and doesnt download

  • adam

    *** MagicMinecraftLauncher 1.0.0 ***
    java.lang.VerifyError: (class: net/minecraft/client/Minecraft, method: N signature: ()V) Incompatible argument to function
    at java.lang.Class.getDeclaredMethods0(Native Method)
    at java.lang.Class.privateGetDeclaredMethods(Unknown Source)
    at java.lang.Class.getMethod0(Unknown Source)
    at java.lang.Class.getMethod(Unknown Source)
    at magic.launcher.Launcher.main(Unknown Source)

  • adam

    …………………………. what???

  • zakoli

    How do i download it?

  • zakoli

    It works for me

  • MONONG NGADI

    CIMING MONONG NANGADI……!\

  • B

    1.5 update seems to have brokent it.

  • kller123

    join thelegitsociety.no-ip.org

  • kller123

    join thelegitsociety.no-ip.org Today !

  • klier999

    WOW XD

  • Shadowsoftime

    Found a reason: some large mods don’t work with it! I use DivineRPG as my main mod and if it won’t work, this tool is useless!

  • sokboumoliko

    minecraft in my lift

  • huberer

    Ok so, I’m playing on a not-so-legal minecraft, 1.5.2. I ran Magic Launcher with my username and password I’ve always used on minecraft, but I can’t go online… How to fix it? Is there a way to fix it? Am I doing something wrong?

    Please respond.

    Much appreciated

  • mohmmad

    gf

  • http://minecraftgood.com admin

    Hi jasonfan1234,
    Magic Launcher 1.4.6 works perfectly on Minecraft 1.4.5!

  • AAA05

    i agree with u